# KDE tags expanded automatically by am_edit - $Revision: 1.237 $ 
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@
#>- 
bindir = @bindir@
#>+ 3
DEPDIR = .deps

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
ARTSCCONFIG = @ARTSCCONFIG@
AS = @AS@
AUTODIRS = @AUTODIRS@
CC = @CC@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DLLTOOL = @DLLTOOL@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
EXEEXT = @EXEEXT@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
GPHOTO2_INCS = @GPHOTO2_INCS@
GPHOTO2_LIBS = @GPHOTO2_LIBS@
GPIO_INCS = @GPIO_INCS@
GPIO_LIBS = @GPIO_LIBS@
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
KDB2HTML = @KDB2HTML@
KDECONFIG = @KDECONFIG@
KDE_CXXFLAGS = @KDE_CXXFLAGS@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDVI_KPATHSEA_DIR = @KDVI_KPATHSEA_DIR@
KDVI_KPATHSEA_INC = @KDVI_KPATHSEA_INC@
KDVI_KPATHSEA_LIB = @KDVI_KPATHSEA_LIB@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KFORMULA = @LIB_KFORMULA@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KWRITE = @LIB_KWRITE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
all_includes = @all_includes@
all_libraries = @all_libraries@
idldir = @idldir@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
micodir = @micodir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@

SUBDIRS = pics

bin_PROGRAMS = kview
check_PROGRAMS = test

INCLUDES = $(all_includes)

#>- METASOURCES = AUTO

lib_LTLIBRARIES = libkviewpart.la kview.la

libkviewpart_la_SOURCES = canvas.cpp kview_view.cc kview_asyncio.cc
libkviewpart_la_LDFLAGS = $(all_libraries) -avoid-version -module -no-undefined
libkviewpart_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS)

kview_SOURCES = dummy.C
kview_LDFLAGS = $(all_libraries) $(KDE_RPATH)
kview_LDADD = kview.la

#>- kview_la_SOURCES = main.cpp viewer.cpp kview.cpp colour.cpp 	filter.cpp filtlist.cpp 	kcproc.cpp kviewconfdialog_base.ui kviewconfdialog.cpp         imagelistdialog_base.ui imagelistdialog.cpp         knumdialog_base.ui knumdialog.cpp         kfilteraction.cpp
#>+ 1
kview_la_SOURCES=main.cpp viewer.cpp kview.cpp colour.cpp 	filter.cpp filtlist.cpp 	kcproc.cpp  kviewconfdialog.cpp          imagelistdialog.cpp          knumdialog.cpp         kfilteraction.cpp kviewconfdialog_base.C imagelistdialog_base.C knumdialog_base.C


kview_la_LDFLAGS = $(all_libraries) -module -avoid-version
kview_la_LIBADD = libkviewpart.la

test_SOURCES = libkview.la test.cpp
test_LDFLAGS = $(all_libraries) -module -avoid-version
test_LDADD = $(libkviewpart_la_LIBADD)

partdir = $(kde_datadir)/kview
part_DATA = kview_part.rc kview_popup.rc

lnkdir = $(kde_appsdir)/Graphics
lnk_DATA = kview.desktop

EXTRA_DIST = $(lnk_DATA)

KDE_ICON = kview

rcdir = $(kde_datadir)/kview
rc_DATA = kviewui.rc
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libkviewpart_la_DEPENDENCIES = 
#>- libkviewpart_la_OBJECTS =  canvas.lo kview_view.lo kview_asyncio.lo
#>+ 5
libkviewpart_la_final_OBJECTS = canvas.lo libkviewpart_la.all_C.lo libkviewpart_la.all_cc.lo 
libkviewpart_la_nofinal_OBJECTS = canvas.lo kview_view.lo kview_asyncio.lo \
libkviewpart_la_meta_unload.lo 
@KDE_USE_FINAL_FALSE@libkviewpart_la_OBJECTS = $(libkviewpart_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkviewpart_la_OBJECTS = $(libkviewpart_la_final_OBJECTS)
kview_la_DEPENDENCIES =  libkviewpart.la
#>- kview_la_OBJECTS =  main.lo viewer.lo kview.lo colour.lo filter.lo \
#>- filtlist.lo kcproc.lo kviewconfdialog.lo imagelistdialog.lo \
#>- knumdialog.lo kfilteraction.lo
#>+ 7
kview_la_final_OBJECTS = kview_la.all_cpp.lo kview_la.all_C.lo 
kview_la_nofinal_OBJECTS = main.lo viewer.lo kview.lo colour.lo filter.lo \
filtlist.lo kcproc.lo kviewconfdialog.lo imagelistdialog.lo \
knumdialog.lo kfilteraction.lo kviewconfdialog_base.lo imagelistdialog_base.lo knumdialog_base.lo \
kview_la_meta_unload.lo 
@KDE_USE_FINAL_FALSE@kview_la_OBJECTS = $(kview_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kview_la_OBJECTS = $(kview_la_final_OBJECTS)
bin_PROGRAMS =  kview$(EXEEXT)
check_PROGRAMS =  test$(EXEEXT)
PROGRAMS =  $(bin_PROGRAMS)

#>- kview_OBJECTS =  dummy.$(OBJEXT)
#>+ 5
kview_final_OBJECTS = kview.all_C.o 
kview_nofinal_OBJECTS = dummy.$(OBJEXT) \
kview_meta_unload.o 
@KDE_USE_FINAL_FALSE@kview_OBJECTS = $(kview_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kview_OBJECTS = $(kview_final_OBJECTS)
kview_DEPENDENCIES =  kview.la
#>- test_OBJECTS =  test.$(OBJEXT)
#>+ 5
test_final_OBJECTS = test.o test.all_C.o libkview.o 
test_nofinal_OBJECTS = test.$(OBJEXT) \
test_meta_unload.o 
@KDE_USE_FINAL_FALSE@test_OBJECTS = $(test_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@test_OBJECTS = $(test_final_OBJECTS)
test_DEPENDENCIES = 
CXXFLAGS = @CXXFLAGS@
#>- CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 1
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 1
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
#>+ 1
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) $(LDFLAGS) -o $@
DATA =  $(lnk_DATA) $(part_DATA) $(rc_DATA)

DIST_COMMON =  README AUTHORS Makefile.am Makefile.in TODO


#>- DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=filter.h viewer.h kview_popup.rc kfilteraction.h imagelistdialog.h kview_part.rc kview.h hi32-app-kview.png knumdialog.h kviewui.rc kcproc.h knumdialog_base.ui kview_asyncio.h colour.h hi48-app-kview.png kviewconfdialog.h lo32-app-kview.png filtlist.h canvas.h kviewconfdialog_base.ui kview_view.h kview.desktop lo16-app-kview.png version.h imagelistdialog_base.ui 

DISTFILES= $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


TAR = gtar
GZIP_ENV = --best
SOURCES = $(libkviewpart_la_SOURCES) $(kview_la_SOURCES) $(kview_SOURCES) $(test_SOURCES)
OBJECTS = $(libkviewpart_la_OBJECTS) $(kview_la_OBJECTS) $(kview_OBJECTS) $(test_OBJECTS)

#>- all: all-redirect
#>+ 1
all: docs-am  all-redirect
.SUFFIXES:
.SUFFIXES: .C .S .c .cc .cpp .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
#>- 	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kview/Makefile
#>+ 2
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kview/Makefile
	cd $(top_srcdir) && perl admin/am_edit kview/Makefile.in

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

#>- libkviewpart.la: $(libkviewpart_la_OBJECTS) $(libkviewpart_la_DEPENDENCIES)
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkviewpart.la: libkviewpart.la.closure $(libkviewpart_la_OBJECTS) $(libkviewpart_la_DEPENDENCIES)
@KDE_USE_CLOSURE_FALSE@libkviewpart.la: $(libkviewpart_la_OBJECTS) $(libkviewpart_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libkviewpart_la_LDFLAGS) $(libkviewpart_la_OBJECTS) $(libkviewpart_la_LIBADD) $(LIBS)

kview.la: $(kview_la_OBJECTS) $(kview_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(kview_la_LDFLAGS) $(kview_la_OBJECTS) $(kview_la_LIBADD) $(LIBS)

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

mostlyclean-checkPROGRAMS:

clean-checkPROGRAMS:
	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)

distclean-checkPROGRAMS:

maintainer-clean-checkPROGRAMS:

kview$(EXEEXT): $(kview_OBJECTS) $(kview_DEPENDENCIES)
	@rm -f kview$(EXEEXT)
	$(CXXLINK) $(kview_LDFLAGS) $(kview_OBJECTS) $(kview_LDADD) $(LIBS)

test$(EXEEXT): $(test_OBJECTS) $(test_DEPENDENCIES)
	@rm -f test$(EXEEXT)
	$(CXXLINK) $(test_LDFLAGS) $(test_OBJECTS) $(test_LDADD) $(LIBS)
.C.o:
	$(CXXCOMPILE) -c $<
.C.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.C.lo:
	$(LTCXXCOMPILE) -c $<
.cc.o:
	$(CXXCOMPILE) -c $<
.cc.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.cc.lo:
	$(LTCXXCOMPILE) -c $<
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

install-lnkDATA: $(lnk_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(lnkdir)
	@list='$(lnk_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(lnkdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(lnkdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(lnkdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(lnkdir)/$$p; \
	  fi; fi; \
	done

uninstall-lnkDATA:
	@$(NORMAL_UNINSTALL)
	list='$(lnk_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(lnkdir)/$$p; \
	done

install-partDATA: $(part_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(partdir)
	@list='$(part_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(partdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(partdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(partdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(partdir)/$$p; \
	  fi; fi; \
	done

uninstall-partDATA:
	@$(NORMAL_UNINSTALL)
	list='$(part_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(partdir)/$$p; \
	done

install-rcDATA: $(rc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(rcdir)
	@list='$(rc_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(rcdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(rcdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(rcdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(rcdir)/$$p; \
	  fi; fi; \
	done

uninstall-rcDATA:
	@$(NORMAL_UNINSTALL)
	list='$(rc_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(rcdir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = kview

distdir: $(DISTFILES)
#>- 	@for file in $(DISTFILES); do \
#>- 	  d=$(srcdir); \
#>- 	  if test -d $$d/$$file; then \
#>- 	    cp -pr $$/$$file $(distdir)/$$file; \
#>- 	  else \
#>- 	    test -f $(distdir)/$$file \
#>- 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
#>- 	    || cp -p $$d/$$file $(distdir)/$$file || :; \
#>- 	  fi; \
#>- 	done
#>+ 10
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am: install-libLTLIBRARIES install-binPROGRAMS
install-exec: install-exec-recursive

#>- install-data-am: install-lnkDATA install-partDATA install-rcDATA
#>+ 1
install-data-am: install-kde-icons  install-lnkDATA install-partDATA install-rcDATA
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
#>- uninstall-am: uninstall-libLTLIBRARIES uninstall-binPROGRAMS \
#>- 		uninstall-lnkDATA uninstall-partDATA uninstall-rcDATA
#>+ 2
uninstall-am: uninstall-kde-icons  uninstall-libLTLIBRARIES uninstall-binPROGRAMS \
		uninstall-lnkDATA uninstall-partDATA uninstall-rcDATA
uninstall: uninstall-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA)
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(lnkdir) $(DESTDIR)$(partdir) \
		$(DESTDIR)$(rcdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-binPROGRAMS \
		mostlyclean-checkPROGRAMS mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-recursive

#>- clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool \
#>- 		clean-binPROGRAMS clean-checkPROGRAMS clean-tags \
#>- 		clean-generic mostlyclean-am
#>+ 3
clean-am: clean-metasources clean-ui clean-closures clean-moc-classes clean-final   clean-libLTLIBRARIES clean-compile clean-libtool \
		clean-binPROGRAMS clean-checkPROGRAMS clean-tags \
		clean-generic mostlyclean-am

#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-binPROGRAMS \
		distclean-checkPROGRAMS distclean-tags \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-recursive

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-binPROGRAMS \
		maintainer-clean-checkPROGRAMS maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool mostlyclean-binPROGRAMS distclean-binPROGRAMS \
clean-binPROGRAMS maintainer-clean-binPROGRAMS uninstall-binPROGRAMS \
install-binPROGRAMS mostlyclean-checkPROGRAMS distclean-checkPROGRAMS \
clean-checkPROGRAMS maintainer-clean-checkPROGRAMS uninstall-lnkDATA \
install-lnkDATA uninstall-partDATA install-partDATA uninstall-rcDATA \
install-rcDATA install-data-recursive uninstall-data-recursive \
install-exec-recursive uninstall-exec-recursive installdirs-recursive \
uninstalldirs-recursive all-recursive check-recursive \
installcheck-recursive info-recursive dvi-recursive \
mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs-am \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean

test.cpp:
	echo "int main() {return 0;};" > test.cpp

messages: rc.cpp
	$(XGETTEXT) rc.cpp *.cpp *.cc *.h -o $(podir)/kview.pot

srcdoc:
	kdoc -a -p -H -d $(HOME)/web/src/kview kview *.h -lqt -lkdecore -lkdeui -lkfile

dummy.C:
	echo > dummy.C

###KMAKE-start (don't edit or delete this block)

###KMAKE-end

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
libkviewpart.la.closure: $(libkviewpart_la_OBJECTS) $(libkviewpart_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkviewpart_la_closure.C
	@$(LTCXXCOMPILE) -c libkviewpart_la_closure.C
	@$(CXXLINK) libkviewpart_la_closure.lo $(libkviewpart_la_LDFLAGS) $(libkviewpart_la_OBJECTS) $(libkviewpart_la_LIBADD) $(LIBS)
	@rm -f libkviewpart_la_closure.* libkviewpart.la.closure
	@echo "timestamp" > libkviewpart.la.closure


#>+ 3
kviewconfdialog.moc: $(srcdir)/kviewconfdialog.h
	$(MOC) $(srcdir)/kviewconfdialog.h -o kviewconfdialog.moc

#>+ 3
canvas.moc: $(srcdir)/canvas.h
	$(MOC) $(srcdir)/canvas.h -o canvas.moc

#>+ 3
viewer.moc: $(srcdir)/viewer.h
	$(MOC) $(srcdir)/viewer.h -o viewer.moc

#>+ 3
kview_view.moc: $(srcdir)/kview_view.h
	$(MOC) $(srcdir)/kview_view.h -o kview_view.moc

#>+ 3
kfilteraction.moc: $(srcdir)/kfilteraction.h
	$(MOC) $(srcdir)/kfilteraction.h -o kfilteraction.moc

#>+ 3
kview.moc: $(srcdir)/kview.h
	$(MOC) $(srcdir)/kview.h -o kview.moc

#>+ 3
imagelistdialog.moc: $(srcdir)/imagelistdialog.h
	$(MOC) $(srcdir)/imagelistdialog.h -o imagelistdialog.moc

#>+ 3
filter.moc: $(srcdir)/filter.h
	$(MOC) $(srcdir)/filter.h -o filter.moc

#>+ 3
kview_asyncio.moc: $(srcdir)/kview_asyncio.h
	$(MOC) $(srcdir)/kview_asyncio.h -o kview_asyncio.moc

#>+ 34
kviewconfdialog_base.C: $(srcdir)/kviewconfdialog_base.ui kviewconfdialog_base.h kviewconfdialog_base.moc
	rm -f kviewconfdialog_base.C
	echo '#include <klocale.h>' > kviewconfdialog_base.C
	$(UIC) -tr i18n -i kviewconfdialog_base.h $(srcdir)/kviewconfdialog_base.ui | sed -e "s,i18n( \"\" ),QString::null,g" >> kviewconfdialog_base.C || rm -f kviewconfdialog_base.C
	echo '#include "kviewconfdialog_base.moc"' >> kviewconfdialog_base.C

kviewconfdialog_base.h: $(srcdir)/kviewconfdialog_base.ui
	$(UIC) -o kviewconfdialog_base.h $(srcdir)/kviewconfdialog_base.ui

kviewconfdialog_base.moc: kviewconfdialog_base.h
	$(MOC) kviewconfdialog_base.h -o kviewconfdialog_base.moc
imagelistdialog_base.C: $(srcdir)/imagelistdialog_base.ui imagelistdialog_base.h imagelistdialog_base.moc
	rm -f imagelistdialog_base.C
	echo '#include <klocale.h>' > imagelistdialog_base.C
	$(UIC) -tr i18n -i imagelistdialog_base.h $(srcdir)/imagelistdialog_base.ui | sed -e "s,i18n( \"\" ),QString::null,g" >> imagelistdialog_base.C || rm -f imagelistdialog_base.C
	echo '#include "imagelistdialog_base.moc"' >> imagelistdialog_base.C

imagelistdialog_base.h: $(srcdir)/imagelistdialog_base.ui
	$(UIC) -o imagelistdialog_base.h $(srcdir)/imagelistdialog_base.ui

imagelistdialog_base.moc: imagelistdialog_base.h
	$(MOC) imagelistdialog_base.h -o imagelistdialog_base.moc
knumdialog_base.C: $(srcdir)/knumdialog_base.ui knumdialog_base.h knumdialog_base.moc
	rm -f knumdialog_base.C
	echo '#include <klocale.h>' > knumdialog_base.C
	$(UIC) -tr i18n -i knumdialog_base.h $(srcdir)/knumdialog_base.ui | sed -e "s,i18n( \"\" ),QString::null,g" >> knumdialog_base.C || rm -f knumdialog_base.C
	echo '#include "knumdialog_base.moc"' >> knumdialog_base.C

knumdialog_base.h: $(srcdir)/knumdialog_base.ui
	$(UIC) -o knumdialog_base.h $(srcdir)/knumdialog_base.ui

knumdialog_base.moc: knumdialog_base.h
	$(MOC) knumdialog_base.h -o knumdialog_base.moc

#>+ 3
clean-metasources:
	-rm -f  kviewconfdialog.moc canvas.moc viewer.moc kview_view.moc kfilteraction.moc kview.moc imagelistdialog.moc filter.moc kview_asyncio.moc

#>+ 6
clean-ui:
	-rm -f \
	kviewconfdialog_base.C kviewconfdialog_base.h kviewconfdialog_base.moc \
	imagelistdialog_base.C imagelistdialog_base.h imagelistdialog_base.moc \
	knumdialog_base.C knumdialog_base.h knumdialog_base.moc 

#>+ 3
clean-closures:
	-rm -f  libkviewpart.la.closure

#>+ 2
docs-am:

#>+ 16
install-kde-icons:
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps
	$(INSTALL_DATA) $(srcdir)/hi32-app-kview.png $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kview.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps
	$(INSTALL_DATA) $(srcdir)/hi48-app-kview.png $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/kview.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/16x16/apps
	$(INSTALL_DATA) $(srcdir)/lo16-app-kview.png $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kview.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/32x32/apps
	$(INSTALL_DATA) $(srcdir)/lo32-app-kview.png $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kview.png

uninstall-kde-icons:
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kview.png
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/kview.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kview.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kview.png

#>+ 5
force-reedit:
		cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kview/Makefile
	cd $(top_srcdir) && perl admin/am_edit kview/Makefile.in


#>+ 10
libkviewpart_la_meta_unload.C:  kview_asyncio.moc canvas.moc kview_view.moc kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc
	@echo 'creating libkviewpart_la_meta_unload.C'
	-rm -f libkviewpart_la_meta_unload.C
	@echo 'static const char * _metalist_libkviewpart_la[] = {' > libkviewpart_la_meta_unload.C
	cat  kview_asyncio.moc canvas.moc kview_view.moc kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> libkviewpart_la_meta_unload.C
	@echo '0};' >> libkviewpart_la_meta_unload.C
	@echo '#include <kunload.h>' >> libkviewpart_la_meta_unload.C
	@echo '_UNLOAD(libkviewpart_la)' >> libkviewpart_la_meta_unload.C


#>+ 10
kview_la_meta_unload.C:  kfilteraction.moc imagelistdialog.moc kviewconfdialog.moc viewer.moc kview.moc filter.moc kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc
	@echo 'creating kview_la_meta_unload.C'
	-rm -f kview_la_meta_unload.C
	@echo 'static const char * _metalist_kview_la[] = {' > kview_la_meta_unload.C
	cat  kfilteraction.moc imagelistdialog.moc kviewconfdialog.moc viewer.moc kview.moc filter.moc kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> kview_la_meta_unload.C
	@echo '0};' >> kview_la_meta_unload.C
	@echo '#include <kunload.h>' >> kview_la_meta_unload.C
	@echo '_UNLOAD(kview_la)' >> kview_la_meta_unload.C


#>+ 10
kview_meta_unload.C:  kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc
	@echo 'creating kview_meta_unload.C'
	-rm -f kview_meta_unload.C
	@echo 'static const char * _metalist_kview[] = {' > kview_meta_unload.C
	cat  kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> kview_meta_unload.C
	@echo '0};' >> kview_meta_unload.C
	@echo '#include <kunload.h>' >> kview_meta_unload.C
	@echo '_UNLOAD(kview)' >> kview_meta_unload.C


#>+ 10
test_meta_unload.C:  kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc
	@echo 'creating test_meta_unload.C'
	-rm -f test_meta_unload.C
	@echo 'static const char * _metalist_test[] = {' > test_meta_unload.C
	cat  kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> test_meta_unload.C
	@echo '0};' >> test_meta_unload.C
	@echo '#include <kunload.h>' >> test_meta_unload.C
	@echo '_UNLOAD(test)' >> test_meta_unload.C


#>+ 3
clean-moc-classes:
	-rm -f  libkviewpart_la_meta_unload.C kview_la_meta_unload.C kview_meta_unload.C test_meta_unload.C

#>+ 11
libkviewpart_la.all_C.C: $(srcdir)/Makefile.in libkviewpart_la_meta_unload.C   kviewconfdialog.moc canvas.moc viewer.moc kview_view.moc kfilteraction.moc kview.moc imagelistdialog.moc filter.moc kview_asyncio.moc 
	@echo 'creating libkviewpart_la.all_C.C ...'; \
	rm -f libkviewpart_la.all_C.files libkviewpart_la.all_C.final; \
	echo "#define KDE_USE_FINAL 1" >> libkviewpart_la.all_C.final; \
	for file in libkviewpart_la_meta_unload.C ; do \
	  echo "#include \"$$file\"" >> libkviewpart_la.all_C.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkviewpart_la.all_C.final; \
	done; \
	cat libkviewpart_la.all_C.final libkviewpart_la.all_C.files  > libkviewpart_la.all_C.C; \
	rm -f libkviewpart_la.all_C.final libkviewpart_la.all_C.files

#>+ 11
libkviewpart_la.all_cc.cc: $(srcdir)/Makefile.in $(srcdir)/kview_view.cc $(srcdir)/kview_asyncio.cc  
	@echo 'creating libkviewpart_la.all_cc.cc ...'; \
	rm -f libkviewpart_la.all_cc.files libkviewpart_la.all_cc.final; \
	echo "#define KDE_USE_FINAL 1" >> libkviewpart_la.all_cc.final; \
	for file in kview_view.cc kview_asyncio.cc ; do \
	  echo "#include \"$$file\"" >> libkviewpart_la.all_cc.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkviewpart_la.all_cc.final; \
	done; \
	cat libkviewpart_la.all_cc.final libkviewpart_la.all_cc.files  > libkviewpart_la.all_cc.cc; \
	rm -f libkviewpart_la.all_cc.final libkviewpart_la.all_cc.files

#>+ 11
kview_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/main.cpp $(srcdir)/viewer.cpp $(srcdir)/kview.cpp $(srcdir)/colour.cpp $(srcdir)/filter.cpp $(srcdir)/filtlist.cpp $(srcdir)/kcproc.cpp $(srcdir)/kviewconfdialog.cpp $(srcdir)/imagelistdialog.cpp $(srcdir)/knumdialog.cpp $(srcdir)/kfilteraction.cpp  
	@echo 'creating kview_la.all_cpp.cpp ...'; \
	rm -f kview_la.all_cpp.files kview_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kview_la.all_cpp.final; \
	for file in main.cpp viewer.cpp kview.cpp colour.cpp filter.cpp filtlist.cpp kcproc.cpp kviewconfdialog.cpp imagelistdialog.cpp knumdialog.cpp kfilteraction.cpp ; do \
	  echo "#include \"$$file\"" >> kview_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kview_la.all_cpp.final; \
	done; \
	cat kview_la.all_cpp.final kview_la.all_cpp.files  > kview_la.all_cpp.cpp; \
	rm -f kview_la.all_cpp.final kview_la.all_cpp.files

#>+ 11
kview_la.all_C.C: $(srcdir)/Makefile.in kviewconfdialog_base.C imagelistdialog_base.C knumdialog_base.C kview_la_meta_unload.C   kviewconfdialog_base.moc imagelistdialog_base.moc knumdialog_base.moc
	@echo 'creating kview_la.all_C.C ...'; \
	rm -f kview_la.all_C.files kview_la.all_C.final; \
	echo "#define KDE_USE_FINAL 1" >> kview_la.all_C.final; \
	for file in kviewconfdialog_base.C imagelistdialog_base.C knumdialog_base.C kview_la_meta_unload.C ; do \
	  echo "#include \"$$file\"" >> kview_la.all_C.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kview_la.all_C.final; \
	done; \
	cat kview_la.all_C.final kview_la.all_C.files  > kview_la.all_C.C; \
	rm -f kview_la.all_C.final kview_la.all_C.files

#>+ 11
kview.all_C.C: $(srcdir)/Makefile.in dummy.C kview_meta_unload.C  
	@echo 'creating kview.all_C.C ...'; \
	rm -f kview.all_C.files kview.all_C.final; \
	echo "#define KDE_USE_FINAL 1" >> kview.all_C.final; \
	for file in dummy.C kview_meta_unload.C ; do \
	  echo "#include \"$$file\"" >> kview.all_C.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kview.all_C.final; \
	done; \
	cat kview.all_C.final kview.all_C.files  > kview.all_C.C; \
	rm -f kview.all_C.final kview.all_C.files

#>+ 11
test.all_C.C: $(srcdir)/Makefile.in test_meta_unload.C  
	@echo 'creating test.all_C.C ...'; \
	rm -f test.all_C.files test.all_C.final; \
	echo "#define KDE_USE_FINAL 1" >> test.all_C.final; \
	for file in test_meta_unload.C ; do \
	  echo "#include \"$$file\"" >> test.all_C.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> test.all_C.final; \
	done; \
	cat test.all_C.final test.all_C.files  > test.all_C.C; \
	rm -f test.all_C.final test.all_C.files

#>+ 3
clean-final:
	-rm -f libkviewpart_la.all_C.C libkviewpart_la.all_cc.cc kview_la.all_cpp.cpp kview_la.all_C.C kview.all_C.C test.all_C.C

#>+ 2
final:
	$(MAKE) libkviewpart_la_OBJECTS="$(libkviewpart_la_final_OBJECTS)" kview_la_OBJECTS="$(kview_la_final_OBJECTS)" kview_OBJECTS="$(kview_final_OBJECTS)" test_OBJECTS="$(test_final_OBJECTS)" all-am
#>+ 2
no-final:
	$(MAKE) libkviewpart_la_OBJECTS="$(libkviewpart_la_nofinal_OBJECTS)" kview_la_OBJECTS="$(kview_la_nofinal_OBJECTS)" kview_OBJECTS="$(kview_nofinal_OBJECTS)" test_OBJECTS="$(test_nofinal_OBJECTS)" all-am
#>+ 3
cvs-clean:
	$(MAKE) -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 15
$(srcdir)/kview_view.cc: kview_view.moc 
$(srcdir)/colour.cpp: kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/knumdialog.cpp: kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/kviewconfdialog.cpp: kviewconfdialog.moc kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/filtlist.cpp: kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/main.cpp: kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/viewer.cpp: viewer.moc kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/kcproc.cpp: kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/imagelistdialog.cpp: imagelistdialog.moc kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/filter.cpp: filter.moc kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/kview_asyncio.cc: kview_asyncio.moc 
$(srcdir)/canvas.cpp: canvas.moc 
$(srcdir)/kview.cpp: kview.moc kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
$(srcdir)/kfilteraction.cpp: kfilteraction.moc kviewconfdialog_base.h imagelistdialog_base.h knumdialog_base.h 
